[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# THintWindow.ActivateSub

Sets the bounds for the hint window and configures the auto-hide timer.

## Declaration

Source position: forms.pp line 1001

`protected procedure THintWindow.ActivateSub; virtual;`

## Description

Sets the bounds for the hint window to the values in the HintRect property, and makes the window Visible. The internal auto-hide timer is enabled when AutoHide contains True.

Called from the ActivateHint method.

## See also

THintWindow.HintRect |  | Contains the bounds used to display the text for the hint.
THintWindow.AutoHide |  | Does the hint disappear (get hidden) after a while?
THintWindow.ActivateHint |  | Shows the hint window with the specified hint text.
TControl.Visible |  | Allows the control, and all of its children, to be displayed or hidden.